unit StatesFacts;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfStateFacts = class(TForm)
    lblNickname: TLabel;
    lblTotalArea: TLabel;
    lblTotalAreaRank: TLabel;
    lblLandArea: TLabel;
    lblLandAreaRank: TLabel;
    lblCapital: TLabel;
    lblMotto: TLabel;
    lblFlower: TLabel;
    lblBird: TLabel;
    lblTree: TLabel;
    lblSong: TLabel;
    lblEnteredUnionDate: TLabel;
    lblEnteredUnionRank: TLabel;
    lblNicknameB: TLabel;
    lblTotalAreaB: TLabel;
    lblTotalAreaRankB: TLabel;
    lblLandAreaB: TLabel;
    lblLandAreaRankB: TLabel;
    lblCapitalB: TLabel;
    lblMottoB: TLabel;
    lblFlowerB: TLabel;
    lblBirdB: TLabel;
    lblTreeB: TLabel;
    lblSongB: TLabel;
    lblEnteredUnionDateB: TLabel;
    lblEnteredUnionRankB: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    procedure SetFormColor;
    function GetColorDepth: Word;
  public
    class procedure Cre8Thyself(AState: String);
  end;

var
  fStateFacts: TfStateFacts;

implementation

uses
  StatesMain;

{$R *.DFM}

procedure TfStateFacts.FormCreate(Sender: TObject);
begin
  SetFormColor;
end;

function TfStateFacts.GetColorDepth: Word; //code adapted from newsgroup posting
var
  DeskDC: HDC;
begin
  DeskDC := 0;
  try
    DeskDC := GetDC(0);
    Result := GetDeviceCaps(DeskDC,BITSPIXEL)*GetDeviceCaps(DeskDC,PLANES);
  finally
    ReleaseDC(0,DeskDC);
  end;
end;

procedure TfStateFacts.SetFormColor;
begin
  if GetColorDepth <= 8 then begin
    OnPaint := nil;
    Color := clSilver;
  end;
end;

procedure TfStateFacts.FormPaint(Sender: TObject);
var
  Row, Ht: Word;
begin
  Ht := (ClientHeight + 255) div 256 ;
  for Row := 0 to 255 do
    with Canvas do begin
      Brush.Color := RGB(Row, 0, Row) ;
      FillRect(Rect(0, Row * Ht, ClientWidth, (Row + 1) * Ht)) ;
    end;
end;

class procedure TfStateFacts.Cre8Thyself(AState: String);
begin
  with Self.Create(nil) do
    try
      if AState = 'Alabama' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.AlabamaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.AlabamaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.AlabamaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.AlabamaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.AlabamaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlabamaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.AlabamaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlabamaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlabamaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlabamaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.AlabamaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.AlabamaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.AlabamaEnteredUnionRank]);
      end else if AState = 'Alaska' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.AlaskaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.AlaskaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.AlaskaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.AlaskaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.AlaskaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlaskaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.AlaskaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlaskaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlaskaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.AlaskaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.AlaskaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.AlaskaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.AlaskaEnteredUnionRank]);
      end else if AState = 'Arizona' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ArizonaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ArizonaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ArizonaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ArizonaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ArizonaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArizonaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ArizonaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArizonaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArizonaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArizonaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ArizonaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.ArizonaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ArizonaEnteredUnionRank]);
      end else if AState = 'Arkansas' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ArkansasNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ArkansasTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ArkansasTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ArkansasLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ArkansasLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArkansasCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ArkansasMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArkansasFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArkansasBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ArkansasTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ArkansasSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.ArkansasEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ArkansasEnteredUnionRank]);
      end else if AState = 'California' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.CaliforniaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.CaliforniaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.CaliforniaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.CaliforniaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.CaliforniaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.CaliforniaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.CaliforniaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.CaliforniaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.CaliforniaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.CaliforniaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.CaliforniaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.CaliforniaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.CaliforniaEnteredUnionRank]);
      end else if AState = 'Colorado' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ColoradoNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ColoradoTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ColoradoTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ColoradoLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ColoradoLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ColoradoCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ColoradoMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ColoradoFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ColoradoBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ColoradoTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ColoradoSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.ColoradoEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ColoradoEnteredUnionRank]);
      end else if AState = 'Connecticut' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ConnecticutNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ConnecticutTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ConnecticutTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.ConnecticutLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ConnecticutLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ConnecticutCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ConnecticutMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ConnecticutFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ConnecticutBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.ConnecticutTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.ConnecticutSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.ConnecticutEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.ConnecticutEnteredUnionRank]);
      end else if AState = 'Delaware' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.DelawareNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.DelawareTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.DelawareTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.DelawareLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.DelawareLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.DelawareCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.DelawareMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.DelawareFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.DelawareBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.DelawareTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.DelawareSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.DelawareEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.DelawareEnteredUnionRank]);
      end else if AState = 'Florida' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.FloridaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.FloridaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.FloridaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.FloridaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.FloridaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.FloridaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.FloridaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.FloridaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.FloridaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.FloridaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.FloridaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.FloridaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.FloridaEnteredUnionRank]);
      end else if AState = 'Georgia' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.GeorgiaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.GeorgiaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.GeorgiaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.GeorgiaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.GeorgiaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.GeorgiaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.GeorgiaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.GeorgiaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.GeorgiaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.GeorgiaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.GeorgiaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.GeorgiaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.GeorgiaEnteredUnionRank]);
      end else if AState = 'Hawaii' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.HawaiiNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.HawaiiTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.HawaiiTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.HawaiiLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.HawaiiLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.HawaiiCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.HawaiiMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.HawaiiFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.HawaiiBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.HawaiiTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.HawaiiSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.HawaiiEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.HawaiiEnteredUnionRank]);
      end else if AState = 'Idaho' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IdahoNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IdahoTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IdahoTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IdahoLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IdahoLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IdahoCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IdahoMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IdahoFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IdahoBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IdahoTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IdahoSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.IdahoEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IdahoEnteredUnionRank]);
      end else if AState = 'Illinois' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IllinoisNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IllinoisTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IllinoisTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IllinoisLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IllinoisLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IllinoisCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IllinoisMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IllinoisFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IllinoisBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IllinoisTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IllinoisSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.IllinoisEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IllinoisEnteredUnionRank]);
      end else if AState = 'Indiana' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IndianaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IndianaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IndianaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IndianaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IndianaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IndianaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IndianaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IndianaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IndianaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IndianaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IndianaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.IndianaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IndianaEnteredUnionRank]);
      end else if AState = 'Iowa' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IowaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IowaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IowaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.IowaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IowaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IowaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IowaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IowaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IowaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.IowaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.IowaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.IowaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.IowaEnteredUnionRank]);
      end else if AState = 'Kansas' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.KansasNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.KansasTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.KansasTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.KansasLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.KansasLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KansasCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.KansasMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KansasFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KansasBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KansasTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.KansasSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.KansasEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.KansasEnteredUnionRank]);
      end else if AState = 'Kentucky' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.KentuckyNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.KentuckyTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.KentuckyTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.KentuckyLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.KentuckyLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KentuckyCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.KentuckyMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KentuckyFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KentuckyBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.KentuckyTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.KentuckySong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.KentuckyEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.KentuckyEnteredUnionRank]);
      end else if AState = 'Louisiana' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.LouisianaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.LouisianaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.LouisianaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.LouisianaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.LouisianaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.LouisianaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.LouisianaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.LouisianaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.LouisianaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.LouisianaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.LouisianaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.LouisianaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.LouisianaEnteredUnionRank]);
      end else if AState = 'Maine' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MaineNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MaineTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MaineTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MaineLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MaineLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MaineCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MaineMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MaineFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MaineBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MaineTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MaineSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MaineEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MaineEnteredUnionRank]);
      end else if AState = 'Maryland' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MarylandNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MarylandTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MarylandTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MarylandLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MarylandLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MarylandCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MarylandMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MarylandFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MarylandBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MarylandTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MarylandSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MarylandEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MarylandEnteredUnionRank]);
      end else if AState = 'Massachusetts' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MassachusettsNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MassachusettsTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MassachusettsTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MassachusettsLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MassachusettsLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MassachusettsCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MassachusettsMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MassachusettsFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MassachusettsBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MassachusettsTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MassachusettsSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MassachusettsEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MassachusettsEnteredUnionRank]);
      end else if AState = 'Michigan' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MichiganNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MichiganTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MichiganTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MichiganLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MichiganLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MichiganCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MichiganMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MichiganFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MichiganBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MichiganTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MichiganSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MichiganEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MichiganEnteredUnionRank]);
      end else if AState = 'Minnesota' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MinnesotaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MinnesotaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MinnesotaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MinnesotaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MinnesotaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MinnesotaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MinnesotaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MinnesotaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MinnesotaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MinnesotaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MinnesotaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MinnesotaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MinnesotaEnteredUnionRank]);
      end else if AState = 'Mississippi' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MississippiNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MississippiTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MississippiTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MississippiLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MississippiLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MississippiCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MississippiMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MississippiFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MississippiBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MississippiTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MississippiSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MississippiEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MississippiEnteredUnionRank]);
      end else if AState = 'Missouri' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MissouriNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MissouriTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MissouriTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MissouriLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MissouriLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MissouriCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MissouriMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MissouriFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MissouriBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MissouriTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MissouriSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MissouriEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MissouriEnteredUnionRank]);
      end else if AState = 'Montana' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MontanaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MontanaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MontanaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.MontanaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MontanaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MontanaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MontanaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MontanaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MontanaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.MontanaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.MontanaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.MontanaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.MontanaEnteredUnionRank]);
      end else if AState = 'Nebraska' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NebraskaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NebraskaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NebraskaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NebraskaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NebraskaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NebraskaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NebraskaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NebraskaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NebraskaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NebraskaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NebraskaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NebraskaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NebraskaEnteredUnionRank]);
      end else if AState = 'Nevada' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NevadaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NevadaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NevadaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NevadaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NevadaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NevadaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NevadaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NevadaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NevadaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NevadaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NevadaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NevadaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NevadaEnteredUnionRank]);
      end else if AState = 'NewHampshire' then begin
        Caption := Format('%s New Hampshire', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewHampshireNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewHampshireTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewHampshireTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewHampshireLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewHampshireLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewHampshireCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewHampshireMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewHampshireFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewHampshireBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewHampshireTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewHampshireSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NewHampshireEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewHampshireEnteredUnionRank]);
      end else if AState = 'NewJersey' then begin
        Caption := Format('%s New Jersey', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewJerseyNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewJerseyTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewJerseyTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewJerseyLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewJerseyLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewJerseyCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewJerseyMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewJerseyFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewJerseyBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewJerseyTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewJerseySong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NewJerseyEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewJerseyEnteredUnionRank]);
      end else if AState = 'NewMexico' then begin
        Caption := Format('%s New Mexico', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewMexicoNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewMexicoTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewMexicoTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewMexicoLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewMexicoLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewMexicoCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewMexicoMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewMexicoFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewMexicoBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewMexicoTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewMexicoSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NewMexicoEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewMexicoEnteredUnionRank]);
      end else if AState = 'NewYork' then begin
        Caption := Format('%s New York', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewYorkNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewYorkTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewYorkTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NewYorkLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewYorkLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewYorkCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewYorkMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewYorkFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewYorkBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NewYorkTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NewYorkSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NewYorkEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NewYorkEnteredUnionRank]);
      end else if AState = 'NorthCarolina' then begin
        Caption := Format('%s North Carolina', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NorthCarolinaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NorthCarolinaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NorthCarolinaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NorthCarolinaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NorthCarolinaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthCarolinaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NorthCarolinaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthCarolinaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthCarolinaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthCarolinaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NorthCarolinaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NorthCarolinaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NorthCarolinaEnteredUnionRank]);
      end else if AState = 'NorthDakota' then begin
        Caption := Format('%s North Dakota', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NorthDakotaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NorthDakotaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NorthDakotaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.NorthDakotaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NorthDakotaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthDakotaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NorthDakotaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthDakotaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthDakotaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.NorthDakotaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.NorthDakotaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.NorthDakotaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.NorthDakotaEnteredUnionRank]);
      end else if AState = 'Ohio' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OhioNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.OhioTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OhioTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.OhioLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OhioLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OhioCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OhioMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OhioFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OhioBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OhioTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OhioSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.OhioEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OhioEnteredUnionRank]);
      end else if AState = 'Oklahoma' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OklahomaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.OklahomaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OklahomaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.OklahomaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OklahomaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OklahomaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OklahomaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OklahomaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OklahomaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OklahomaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OklahomaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.OklahomaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OklahomaEnteredUnionRank]);
      end else if AState = 'Oregon' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OregonNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.OregonTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OregonTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.OregonLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OregonLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OregonCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OregonMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OregonFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OregonBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.OregonTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.OregonSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.OregonEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.OregonEnteredUnionRank]);
      end else if AState = 'Pennsylvania' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.PennsylvaniaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.PennsylvaniaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.PennsylvaniaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.PennsylvaniaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.PennsylvaniaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.PennsylvaniaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.PennsylvaniaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.PennsylvaniaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.PennsylvaniaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.PennsylvaniaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.PennsylvaniaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.PennsylvaniaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.PennsylvaniaEnteredUnionRank]);
      end else if AState = 'RhodeIsland' then begin
        Caption := Format('%s Rhode Island', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.RhodeIslandNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.RhodeIslandTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.RhodeIslandTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.RhodeIslandLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.RhodeIslandLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.RhodeIslandCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.RhodeIslandMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.RhodeIslandFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.RhodeIslandBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.RhodeIslandTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.RhodeIslandSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.RhodeIslandEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.RhodeIslandEnteredUnionRank]);
      end else if AState = 'SouthCarolina' then begin
        Caption := Format('%s South Carolina', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.SouthCarolinaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.SouthCarolinaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.SouthCarolinaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.SouthCarolinaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.SouthCarolinaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthCarolinaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.SouthCarolinaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthCarolinaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthCarolinaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthCarolinaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.SouthCarolinaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.SouthCarolinaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.SouthCarolinaEnteredUnionRank]);
      end else if AState = 'SouthDakota' then begin
        Caption := Format('%s South Dakota', [Caption]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.SouthDakotaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.SouthDakotaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.SouthDakotaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.SouthDakotaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.SouthDakotaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthDakotaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.SouthDakotaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthDakotaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthDakotaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.SouthDakotaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.SouthDakotaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.SouthDakotaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.SouthDakotaEnteredUnionRank]);
      end else if AState = 'Tennessee' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.TennesseeNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.TennesseeTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.TennesseeTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.TennesseeLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.TennesseeLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TennesseeCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.TennesseeMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TennesseeFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TennesseeBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TennesseeTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.TennesseeSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.TennesseeEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.TennesseeEnteredUnionRank]);
      end else if AState = 'Texas' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.TexasNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.TexasTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.TexasTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.TexasLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.TexasLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TexasCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.TexasMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TexasFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TexasBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.TexasTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.TexasSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.TexasEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.TexasEnteredUnionRank]);
      end else if AState = 'Utah' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.UtahNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.UtahTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.UtahTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.UtahLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.UtahLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.UtahCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.UtahMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.UtahFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.UtahBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.UtahTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.UtahSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.UtahEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.UtahEnteredUnionRank]);
      end else if AState = 'Vermont' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.VermontNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.VermontTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.VermontTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.VermontLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.VermontLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VermontCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.VermontMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VermontFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VermontBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VermontTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.VermontSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.VermontEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.VermontEnteredUnionRank]);
      end else if AState = 'Virginia' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.VirginiaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.VirginiaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.VirginiaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.VirginiaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.VirginiaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VirginiaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.VirginiaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VirginiaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VirginiaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.VirginiaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.VirginiaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.VirginiaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.VirginiaEnteredUnionRank]);
      end else if AState = 'Washington' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WashingtonNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WashingtonTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WashingtonTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WashingtonLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WashingtonLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WashingtonCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WashingtonMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WashingtonFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WashingtonBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WashingtonTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WashingtonSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.WashingtonEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WashingtonEnteredUnionRank]);
      end else if AState = 'WestVirginia' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WestVirginiaNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WestVirginiaTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WestVirginiaTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WestVirginiaLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WestVirginiaLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WestVirginiaCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WestVirginiaMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WestVirginiaFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WestVirginiaBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WestVirginiaTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WestVirginiaSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.WestVirginiaEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WestVirginiaEnteredUnionRank]);
      end else if AState = 'Wisconsin' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WisconsinNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WisconsinTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WisconsinTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WisconsinLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WisconsinLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WisconsinCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WisconsinMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WisconsinFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WisconsinBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WisconsinTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WisconsinSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.WisconsinEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WisconsinEnteredUnionRank]);
      end else if AState = 'Wyoming' then begin
        Caption := Format('%s %s', [Caption, AState]);
        lblNicknameB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WyomingNickname]);
        lblTotalAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WyomingTotalArea]);
        lblTotalAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WyomingTotalAreaRank]);
        lblLandAreaB.Caption := Format('%d square miles',[fStatesMain.cscsUSAMap1.WyomingLandArea]);
        lblLandAreaRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WyomingLandAreaRank]);
        lblCapitalB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WyomingCapital]);
        lblMottoB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WyomingMotto]);
        lblFlowerB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WyomingFlower]);
        lblBirdB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WyomingBird]);
        lblTreeB.Caption := Format('%s',[fStatesMain.cscsUSAMap1.WyomingTree]);
        lblSongB.Caption := Format('"%s"',[fStatesMain.cscsUSAMap1.WyomingSong]);
        lblEnteredUnionDateB.Caption := Format('%s',[DateToStr(fStatesMain.cscsUSAMap1.WyomingEnteredUnionDate)]);
        lblEnteredUnionRankB.Caption := Format('%d',[fStatesMain.cscsUSAMap1.WyomingEnteredUnionRank]);
      end;
      ShowModal;
    finally
      Free;
    end;
end;

end.
