unit USSportsMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, USAMap;

type
  TfUSSportsMain = class(TForm)
    cscsUSAMap1: TcscsUSAMap;
    btnAbout: TBitBtn;
    btnClose: TBitBtn;
    btnFootball: TButton;
    btnBasketball: TButton;
    btnBaseball: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    btnShowAbbreviations: TButton;
    lblCurrentSport: TLabel;
    procedure btnAboutClick(Sender: TObject);
    procedure btnFootballClick(Sender: TObject);
    procedure btnBasketballClick(Sender: TObject);
    procedure btnShowAbbreviationsClick(Sender: TObject);
    procedure btnBaseballClick(Sender: TObject);
    procedure cscsUSAMap1ArizonaClick(Sender: TObject);
    procedure cscsUSAMap1CaliforniaClick(Sender: TObject);
    procedure cscsUSAMap1ColoradoClick(Sender: TObject);
    procedure cscsUSAMap1FloridaClick(Sender: TObject);
    procedure cscsUSAMap1GeorgiaClick(Sender: TObject);
    procedure cscsUSAMap1IllinoisClick(Sender: TObject);
    procedure cscsUSAMap1IndianaClick(Sender: TObject);
    procedure cscsUSAMap1LouisianaClick(Sender: TObject);
    procedure cscsUSAMap1MarylandClick(Sender: TObject);
    procedure cscsUSAMap1MassachusettsClick(Sender: TObject);
    procedure cscsUSAMap1MichiganClick(Sender: TObject);
    procedure cscsUSAMap1MinnesotaClick(Sender: TObject);
    procedure cscsUSAMap1MissouriClick(Sender: TObject);
    procedure cscsUSAMap1NewJerseyClick(Sender: TObject);
    procedure cscsUSAMap1NewYorkClick(Sender: TObject);
    procedure cscsUSAMap1NorthCarolinaClick(Sender: TObject);
    procedure cscsUSAMap1OhioClick(Sender: TObject);
    procedure cscsUSAMap1OregonClick(Sender: TObject);
    procedure cscsUSAMap1PennsylvaniaClick(Sender: TObject);
    procedure cscsUSAMap1TennesseeClick(Sender: TObject);
    procedure cscsUSAMap1TexasClick(Sender: TObject);
    procedure cscsUSAMap1UtahClick(Sender: TObject);
    procedure cscsUSAMap1WashingtonClick(Sender: TObject);
    procedure cscsUSAMap1WisconsinClick(Sender: TObject);
  private
    procedure ResetColors;
  public
    { Public declarations }
  end;

var
  fUSSportsMain: TfUSSportsMain;

implementation

uses
  AboutSports,
  SportsConsts;

{$R *.DFM}

procedure TfUSSportsMain.btnAboutClick(Sender: TObject);
begin
  TfAboutSports.Cre8Thyself;
  Invalidate;
end;

procedure TfUSSportsMain.btnFootballClick(Sender: TObject);
begin
  lblCurrentSport.Caption := SNationalFootballLeague;
  ResetColors;
  with cscsUSAMap1 do begin
    ArizonaColor := clRed;
    CaliforniaColor := clAqua;
    ColoradoColor := clRed;
    FloridaColor := clAqua;
    GeorgiaColor := clRed;
    IllinoisColor := clRed;
    IndianaColor := clRed;
    LouisianaColor := clRed;
    MarylandColor := clRed;
    MassachusettsColor := clRed;
    MichiganColor := clRed;
    MinnesotaColor := clRed;
    MissouriColor := clGreen;
    NewYorkColor := clAqua;
    NorthCarolinaColor := clRed;
    OhioColor := clGreen;
    PennsylvaniaColor := clGreen;
    TennesseeColor := clRed;
    TexasColor := clRed;
    WashingtonColor := clRed;
    WisconsinColor := clRed;
  end;
end;

procedure TfUSSportsMain.ResetColors;
begin
  with cscsUSAMap1 do begin
    AlabamaColor := AlabamaColor;
    AlaskaColor := clSilver;
    HawaiiColor := clSilver;
    WashingtonColor := clSilver;
    OregonColor := clSilver;
    CaliforniaColor := CaliforniaColor;
    NevadaColor := clSilver;
    IdahoColor := clSilver;
    UtahColor := clSilver;
    ArizonaColor := clSilver;
    NewMexicoColor := clSilver;
    ColoradoColor := clSilver;
    WyomingColor := clSilver;
    MontanaColor := clSilver;
    NorthDakotaColor := clSilver;
    SouthDakotaColor := clSilver;
    NebraskaColor := clSilver;
    KansasColor := clSilver;
    OklahomaColor := clSilver;
    TexasColor := clSilver;
    MinnesotaColor := clSilver;
    IowaColor := clSilver;
    MissouriColor := clSilver;
    ArkansasColor := clSilver;
    LouisianaColor := clSilver;
    WisconsinColor := clSilver;
    IllinoisColor := clSilver;
    MichiganColor := clSilver;
    IndianaColor := clSilver;
    KentuckyColor := clSilver;
    TennesseeColor := clSilver;
    MississippiColor := clSilver;
    AlabamaColor := clSilver;
    GeorgiaColor := clSilver;
    FloridaColor := clSilver;
    SouthCarolinaColor := clSilver;
    NorthCarolinaColor := clSilver;
    VirginiaColor := clSilver;
    WestVirginiaColor := clSilver;
    OhioColor := clSilver;
    PennsylvaniaColor := clSilver;
    NewYorkColor := clSilver;
    MaineColor := clSilver;
    MarylandColor := clSilver;
    DelawareColor := clSilver;
    NewJerseyColor := clSilver;
    VermontColor := clSilver;
    NewHampshireColor := clSilver;
    MassachusettsColor := clSilver;
    ConnecticutColor := clSilver;
    RhodeIslandColor := clSilver;
  end;
end;

procedure TfUSSportsMain.btnBasketballClick(Sender: TObject);
begin
  lblCurrentSport.Caption := SNationalBasketballAssociation;
  ResetColors;
  with cscsUSAMap1 do begin
    ArizonaColor := clRed;
    CaliforniaColor := clYellow;
    ColoradoColor := clRed;
    FloridaColor := clGreen;
    GeorgiaColor := clRed;
    IllinoisColor := clRed;
    IndianaColor := clRed;
    MassachusettsColor := clRed;
    MichiganColor := clRed;
    MinnesotaColor := clRed;
    NewJerseyColor := clRed;
    NewYorkColor := clRed;
    NorthCarolinaColor := clRed;
    OhioColor := clRed;
    OregonColor := clRed;
    PennsylvaniaColor := clRed;
    TexasColor := clAqua;
    UtahColor := clRed;
    WashingtonColor := clRed;
    WisconsinColor := clRed;
  end;
end;

procedure TfUSSportsMain.btnShowAbbreviationsClick(Sender: TObject);
begin
  with cscsUSAMap1 do begin
    ShowStateAbbreviations := not cscsUSAMap1.ShowStateAbbreviations;
    if ShowStateAbbreviations then
      btnShowAbbreviations.Caption := SHideAbbreviations
    else
      btnShowAbbreviations.Caption := SShowAbbreviations
  end;
end;

procedure TfUSSportsMain.btnBaseballClick(Sender: TObject);
begin
  lblCurrentSport.Caption := SMajorLeagueBaseball;
  ResetColors;
  with cscsUSAMap1 do begin
    ArizonaColor := clRed;
    CaliforniaColor := clPurple;
    ColoradoColor := clRed;
    FloridaColor := clGreen;
    GeorgiaColor := clRed;
    IllinoisColor := clGreen;
    MarylandColor := clRed;
    MassachusettsColor := clRed;
    MichiganColor := clRed;
    MinnesotaColor := clRed;
    MissouriColor := clGreen;
    NewYorkColor := clGreen;
    OhioColor := clGreen;
    PennsylvaniaColor := clGreen;
    TexasColor := clGreen;
    WashingtonColor := clRed;
    WisconsinColor := clRed;
  end;
end;

procedure TfUSSportsMain.cscsUSAMap1ArizonaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SArizonaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SArizonaBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SArizonaBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1CaliforniaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SCaliforniaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SCaliforniaBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SCaliforniaBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1ColoradoClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SColoradoFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SColoradoBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SColoradoBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1FloridaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SFloridaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SFloridaBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SFloridaBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1GeorgiaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SGeorgiaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SGeorgiaBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SGeorgiaBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1IllinoisClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SIllinoisFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SIllinoisBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SIllinoisBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1IndianaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SIndianaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SIndianaBasketball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1LouisianaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SLouisianaFootball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1MarylandClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SMarylandFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SMarylandBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1MassachusettsClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SMassachusettsFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SMassachusettsBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SMassachusettsBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1MichiganClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SMichiganFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SMichiganBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SMichiganBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1MinnesotaClick(Sender: TObject);
begin
 if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SMinnesotaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SMinnesotaBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SMinnesotaBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1MissouriClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SMissouriFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SMissouriBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1NewJerseyClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SNewJerseyBasketball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1NewYorkClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SNewYorkFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SNewYorkBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SNewYorkBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1NorthCarolinaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SNorthCarolinaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SNorthCarolinaBasketball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1OhioClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SOhioFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SOhioBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SOhioBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1OregonClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SOregonBasketball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1PennsylvaniaClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SPennsylvaniaFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SPennsylvaniaBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SPennsylvaniaBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1TennesseeClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(STennesseeFootball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1TexasClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(STexasFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(STexasBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(STexasBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1UtahClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SUtahBasketball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1WashingtonClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SWashingtonFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SWashingtonBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SWashingtonBaseball, mtInformation, [mbOK], 0)
end;

procedure TfUSSportsMain.cscsUSAMap1WisconsinClick(Sender: TObject);
begin
  if lblCurrentSport.Caption = SNationalFootballLeague then
    MessageDlg(SWisconsinFootball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SNationalBasketballAssociation then
    MessageDlg(SWisconsinBasketball, mtInformation, [mbOK], 0)
  else if lblCurrentSport.Caption = SMajorLeagueBaseball then
    MessageDlg(SWisconsinBaseball, mtInformation, [mbOK], 0)
end;

end.
