program Myapp;
{$K+$X+}

{ This Delphi project demonstrates how to implement programing
  that causes your application to run one instance of Self by
  searching for its MainForm each time your exe file is
  executed. This example application will bring your previous
  instance of Self to the top of Windows' Z order before Halting.

  This application example will also pass any Exe file command
  line parameters to your previous application instance.

  This application will compile into 16 and 32 bit exe's with
  Delphi 1.x and 2.x.

  This application example will find 16 and 32 bit instances of
  Self. Delphi 16 Bit environment variable System.PrevInstance has
  an inherent inability to see previous 32 bit instances of Self,
  and 32 bit removal of PrevInstance from its 32 bit environment
  are solved in this example application.

  Please Note:
    For Delphi 2.0 you must make sure your Main Form's caption
    property (Object Inspector) is not the same as pCaption
    declaration in Run1Time.pas. Otherwise your Delphi 2.0 designing
    interface will be identified as a previous instance of your
    application and Run1Time will not behave properly}

uses
  WinProcs,
  Messages,
  Forms,
  Run1time in 'RUN1TIME.PAS' {MyForm},
  Callback in 'CALLBACK.PAS',
  Exeparam in 'EXEPARAM.PAS';

exports
  CallBackProc;

{$R *.RES}

begin
{ Create Windows custom messages }

{ "hParamMsg" is used when command line parameters
  need to be passed to your application already running }

hParamMsg := RegisterWindowMessage('NewParams' + #0);

{ "hShowWnd" is sent to bring your MainForm that is
  already running to the top of Windows' Z order. Windows
  operating system will not dispatch wm_ShowWindow messages
  under certain circumstances. This custom message assures
  all your requests to bring your main form to top are
  dispatched and processed }

hShowWnd := RegisterWindowMessage('FocusWindow' + #0);

{ Important Note: Any Objects dynamically created within
  any Unit's Initialization section will have been created
  before testing for any previous instances of this application. }

if AlreadyRunning then begin
  if ParamCount > 0 then DispatchParams(CmdLine)
    else PostMessage(PrevMyForm,hShowWnd, 0, 0);
    { Halt will call all ExitProc's added during RunTime.
      Use this to destroy dynamically created Objects,
      or better yet, don't use Initialization sections
      and your Run1Time application will load quicker and
      test for previous instances with less overhead before
      Halting. }
    Halt;
    end;

  Application.CreateForm(TMyForm, MyForm);
  if ParamCount > 0 then ProcessParams(CmdLine);
  Application.Run;
end.
 