//----------------------------------------------------
//
// u_svc unit sample program 
//
// Feedback / latest version:
//
//  http://www.chamisplace.com/tips/delphi/services/
//
// (C) Chami.com
//
//----------------------------------------------------


unit services;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    btnCheck: TButton;
    GroupBox1: TGroupBox;
    lStatus: TLabel;
    btnStart: TButton;
    btnStop: TButton;
    eMachine: TEdit;
    Label2: TLabel;
    cbServices: TComboBox;
    btnRefresh: TButton;
    lServicesCount: TLabel;
    lKeyName: TLabel;
    procedure btnCheckClick(Sender: TObject);
    procedure btnStartClick(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnRefreshClick(Sender: TObject);
    procedure cbServicesChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  u_svc, WinSvc, WinTypes;

{$R *.DFM}

procedure TForm1.btnCheckClick(Sender: TObject);
var
  n : integer;
  sKeyName,
  s : string;
begin
  sKeyName :=
    ServiceGetKeyName(
      eMachine.text,
      cbServices.text );

  lKeyName.Caption := 'Key Name: ' + sKeyName;

  n := ServiceGetStatus(
         eMachine.text,
         sKeyName );

  s := ServiceGetStrCode( n );
  lStatus.Caption := s;

  if(SERVICE_STOPPED = n)then
  begin
    btnStart.Enabled := True;
    btnStop.Enabled  := False;
  end;
  if(SERVICE_RUNNING = n)then
  begin
    btnStart.Enabled := False;
    btnStop.Enabled  := True;
  end;
end;

procedure TForm1.btnStartClick(Sender: TObject);
begin
  btnStart.Enabled := False;

  ServiceStart( eMachine.text,
    ServiceGetKeyName(
      eMachine.text,
      cbServices.text ) );

  btnStart.Enabled := True;
  btnCheckClick( Sender );
end;

procedure TForm1.btnStopClick(Sender: TObject);
begin
  btnStop.Enabled := False;

  ServiceStop( eMachine.text,
    ServiceGetKeyName(
      eMachine.text,
      cbServices.text ) );  

  btnStop.Enabled := True;
  btnCheckClick( Sender );
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  btnRefreshClick( Sender );
  btnCheckClick( Sender );
end;


procedure TForm1.btnRefreshClick(Sender: TObject);
begin
  cbServices.Items.Clear;

  ServiceGetList( eMachine.Text,
    SERVICE_WIN32,
    SERVICE_STATE_ALL,
    cbServices.Items );

  lServicesCount.Caption := IntToStr(cbServices.Items.Count);

  if(cbServices.Items.Count>0)then
  begin
    cbServices.Text :=
      cbServices.Items.Strings[0];
  end;      
end;

procedure TForm1.cbServicesChange(Sender: TObject);
begin
  btnCheckClick( Sender );
end;

end.

