unit Simpunit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Memochk, StdCtrls, Menus, Clipbrd;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Copy1: TMenuItem;
    Cut1: TMenuItem;
    Paste1: TMenuItem;
    SelectAll1: TMenuItem;
    Spelling1: TMenuItem;
    TestSpelling1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Memo1: TMemo;
    MemoSpellCheck1: TMemoSpellCheck;
    procedure Button1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure TestSpelling1Click(Sender: TObject);
    procedure SelectAll1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Edit1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
  private
    { Private declarations }
    TheFilename : string;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  MemoSpellCheck1.CheckMemo(Memo1);
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Form1.Close;
end;

procedure TForm1.TestSpelling1Click(Sender: TObject);
begin
  MemoSpellCheck1.CheckMemo(Memo1);
end;

procedure TForm1.SelectAll1Click(Sender: TObject);
begin
  Memo1.SelectAll;
end;

procedure TForm1.Copy1Click(Sender: TObject);
begin
  Memo1.CopyToClipboard;   { Copy the text to the clipboard }
end;

procedure TForm1.Paste1Click(Sender: TObject);
begin
  Memo1.PasteFromClipboard;   { Paste the text from the clipboard }
end;

procedure TForm1.Cut1Click(Sender: TObject);
begin
  Memo1.CutToClipboard; { Put it in the clipboard and delete it }
end;

procedure TForm1.Edit1Click(Sender: TObject);
begin
  Edit1.Items[0].Enabled := Memo1.SelLength <> 0;
  Edit1.Items[1].Enabled := Memo1.SelLength <> 0;
  Edit1.Items[2].Enabled := Clipboard.HasFormat(CF_TEXT);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Memo1.Clear;
  TheFilename := '';
  OpenDialog1.Filter := 'Text files|*.TXT|All Files|*.*';
  SaveDialog1.Filter := 'Text files|*.TXT|All Files|*.*';
end;

procedure TForm1.Open1Click(Sender: TObject);
var savedir : string;
begin
   GetDir(0,SaveDir);
   if OpenDialog1.Execute then
     begin
       Memo1.Lines.LoadFromFile(OpenDialog1.Filename);
       TheFilename := OpenDialog1.Filename;
     end;
   ChDir(SaveDir);
end;

procedure TForm1.Save1Click(Sender: TObject);
var savedir : string;
begin
  GetDir(0, SaveDir);
  SaveDialog1.filename := TheFilename;
  if SaveDialog1.Execute then
    begin
      Memo1.Lines.SaveToFile(SaveDialog1.Filename);
      TheFilename := SaveDialog1.Filename;
    end;
  ChDir(SaveDir);
end;

end.
