unit Unit1;

{ Demo form for TODBC object. }
{ by Jeff Atwood, JAtwood159@AOL.COM }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ODBC, Grids;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    StringGrid1: TStringGrid;
    Button3: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ODBC1: TODBC;
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);

begin
  ODBC1.ConnectString := StrPCopy(ODBC1.ConnectString, Edit1.Text);
  ODBC1.Init(Form1.Handle);
  if ODBC1.Initialized then begin
    Edit1.Text := StrPas(ODBC1.ConnectString);
    StringGrid1.RowCount := 0;
    Button2.Enabled := True;
    Button3.Enabled := True;
  end
  else begin
    Button2.Enabled := False;
    Button3.Enabled := False;
  end;

end;

procedure TForm1.Button2Click(Sender: TObject);
var
  hasData: Boolean;
  retval: Integer;
begin
  Screen.Cursor := crHourglass;
  ODBC1.SQL := StrPCopy(ODBC1.SQL, Edit2.Text);
  if ODBC1.Query(hasData) then begin
    if hasData then begin
      ODBC1.FillGrid(StringGrid1);
      Screen.Cursor := crDefault;
    end
    else begin
      Screen.Cursor := crDefault;
      retval := MessageBox(0, 'Processed, no data returned', 'Query', MB_ICONINFORMATION);
    end;
  end
  else begin
    Screen.Cursor := crDefault;
    retval := MessageBox(0, 'Query failed', 'Query', MB_ICONINFORMATION);
  end;

end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  ODBC1.Free;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ODBC1 := TODBC.Create;
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  hasdata: Boolean;
begin
  Screen.Cursor := crHourglass;
  if ODBC1.GetTables then begin
    ODBC1.FillGrid(StringGrid1);
  end;
  Screen.Cursor := crDefault;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  StringGrid1.SetBounds(StringGrid1.Left, StringGrid1.Top,
                        Form1.Width - 19, Form1.Height - StringGrid1.Top - 30);
end;

end.
