{File Name: UnitWiz.Pas                                                           }
{Associated Form File: Wiz95.Dfm                                                  }
{Author: Gregory K. Peters                                                        }
{Date: 4/4/1997                                                                   }
{Compiled and Tested in 16-bit Delphi 1.0                                         }
{                                                                                 }
{The following code is meant to speed up your development by giving you a template}
{with events already coded.  Please send $5 (big deal) check or money order to the}
{following address if you decide to use this template in your projects:           }
{       Greg Peters                                                               }
{       9427 Carlyle Dr Ste D                                                     }
{       Indianapolis, IN 46240                                                    }
{                                                                                 }
{       Questions/Comments: Lebtucky@aol.com                                      }
{                           DelphiMaster@juno.com                                 }
{                                                                                 }
{Background: I had used this same form (without a template) in my projects on     }
{several occasions.  I got sick of cutting and pasting code, etc., so I decided   }
{to make a template.  I may make a component out of this eventually, but that     }
{would be a rather large project... If you think you would use a component like   }
{this, please E-Mail me at the address above...                                   }
{                                                                                 }
{Instructions & Tips:  I probably don't need to explain much, all you have to do  }
{place your components on a page and implement the code to drive those components.}
{I would not recommend modifying my included code, but do so at your own risk.    }
{To create a new page:  Click on the Notebook component and select the property   }
{'Pages'.  Add the new page.  The control buttons at the bottom of the wizard will}
{automatically adjust to the new page count. I have already started a 'finish'    }
{event handler, it's at the bottom of the file. There is also already a create    }
{event for the form (WizCreate), so add your initialization code there.           }

unit Unitwiz;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Buttons;

type
  TWizHack = Class(TWinControl);    {Allows use of}
                                    {DestroyHandle}
type
  TWiz95 = class(TForm)
    WizNotebook: TNotebook;
    WizBtn2: TBitBtn;
    WizBtn3: TBitBtn;
    WizBtn1: TBitBtn;
    WizBevel: TBevel;
    procedure WizBtnClick(Sender: TObject); {Control Button Event Handler}
    procedure WizNotebookTurn(Sender: TObject); {Destroys the handle of the last used page}
    procedure WizCreate(Sender: TObject);   {Initialization}
    procedure WizError(ErrLoc: Integer);    {Error Handler}
    procedure WizFinish;                    {Where your finish code goes}
  private
    { Private declarations }
  public
    { Public declarations }
    Pages: Integer;                         {Total Pages in the Wizard}
    Finish: Boolean;                        {Last Page Flag}
    Oldindex: Integer;                      {Stores the Last Used Page}
  end;

var
  Wiz95: TWiz95;

implementation

{$R *.DFM}                 {Beginners:  Never delete this line...}

procedure TWiz95.WizBtnClick(Sender: TObject);
begin
  With Sender as TBitBtn Do
  Begin
    Case StrtoInt(Copy(Name,7,1)) of
    1: Begin
         Try
           If Not (WizNotebook.PageIndex = 0) then  {Just in case...}
           Begin
             Screen.Cursor := crHourGlass;  {The relevance of the cursor changes depends}
             WizNotebook.PageIndex := WizNotebook.PageIndex - 1;    {on how many controls you put on a page...}
             OldIndex := OldIndex - 1;
             Screen.Cursor := crDefault;
           End;
           If WizNotebook.PageIndex = 0 then
             Enabled := False;
           If Finish then
           Begin
             Finish := False;
             WizBtn2.Caption := '&Next >';
           End;
         Except
           WizError(0);  {Execute Error Handler...}
         End;{Protected Block}
       End;{Back Button Click}
    2: Begin
         Try
           If Finish then
             WizFinish                            {Execute your 'finish' code}
           Else
           Begin
             Screen.Cursor := crHourGlass;
             WizNotebook.PageIndex := WizNotebook.PageIndex + 1;
             Inc(OldIndex);
             Screen.Cursor := crDefault;
           End;
           If WizNotebook.PageIndex > 0 then
             WizBtn1.Enabled := True;
           If WizNotebook.PageIndex = Pages then
           Begin
             Caption := '&Finish';
             Finish := True;
           End;
         Except
           WizError(1);  {Execute Error Handler...}
         End;{Protected Block}
       End;{Next/Finish Button Click}
    3: Release;
    End;{Case}
  End;{With Sender}
end;

procedure TWiz95.WizNotebookTurn(Sender: TObject);
begin
  {The following code prevents the Notebook in your wizard from
   using too much of your system's resources.  It also makes the
   pages turn faster. You may notice some screen flicker, however, so
   you might comment out the following code unless you get an error.  I
   use this code in my larger applications (20,000 + lines)}
  Try
    LockWindowUpdate(WizNotebook.Handle);
    TWizHack(WizNotebook.Pages.objects[OldIndex]).DestroyHandle;
    LockWindowUpdate(0);
  Except
    WizError(3);   {Execute Error Handler...}
  End;{Protected Block}
end;

procedure TWiz95.WizCreate(Sender: TObject);
begin
  Pages := WizNotebook.Pages.Count - 1;  {Get Number of Pages assuming 0 as first}
  OldIndex := 0;    {Initialize Last Used Page to First Page}
  Finish := False;  {Initialize Last Page Flag to False}
  If Pages = 0 then
    WizBtn2.Enabled := False;   {Disable Next since there is only 1 page.}

  {Your Initialization Code Here...}

end;

procedure TWiz95.WizError(ErrLoc: Integer);
var
  BoxMess: String;
begin
  MessageBeep(mb_iconexclamation);             {Get the user's attention}
  Case ErrLoc of
    0: BoxMess := 'go to the previous page.';  {Help identify where the error}
    1: BoxMess := 'go to the next page.';      {is occurring...}
    2: BoxMess := 'finish the Wizard.';
    3: BoxMess := 'process your last command.';
  End;{case ErrLoc}
  BoxMess := 'An unexpected error occurred while trying to ' + BoxMess +
    'You will need to restart the Wizard.';
  MessageDlg(BoxMess, mtError, [mbOK], 0);
  Release;
end;

{*********************** Insert your code Below ************************************}

procedure TWiz95.WizFinish;
begin
  Try     {Good Programming Practice...}
    Screen.Cursor := crHourGlass;

  {****** Insert your 'Finish' code here... ******}

    Screen.Cursor := crDefault;
    Release;
  Except
    WizError(2);   {Execute Error Handler...}
  End;{Protected Block}
end;

{End of UnitWiz.Pas}
end.
