unit UserNov;

{BASED ON USERINFO.. Read that first.}

{COMPLETELY RIPPED OUT OF 'THE DELPHI SCREEN SAVER', REGURGITATED AND REINTEGRATED MY WAY.}
{I added a tiny bit of code to avoid triggering password lockout in the Checkpassword but
did not get rid of the ugly conditionals yet. however! once initialized this component will
give YOU the server name!.. If you're going to always run on novell, this code is fine,
if not have it check for the DLL's existance before doing the update. PRODUCTION/not library
quality code; but it now is a generic enough component to spark some ideas. share them.}

{-----------------------------------------------------------------------------------------}
{ USERNOV                                                                                 }
{-----------------------------------------------------------------------------------------}

interface

uses
  Classes,
  UserInfo;

Const
  NetWorkPasswordOk = 0;
  NetWorkPasswordLockOut = 197;

Type
  TNetWareUserInfo = class(TUserInfo)
  private
    fConnectID,
    fConnectNumber : LongInt;                                { Default connection id }
    fzServerName  : array [0..50] of Char;                   { File server Name }
    fzLoginName   : array [0..50] of Char;                   { User Name }
    fzFullName    : array [0..127] of Char;                  { Fill Name }
    fzLoginTime   : array [0..9] of Char;                    { Login Time }
  protected
    function GetServerName:String;
    function GetLoginName:String;
    function GetFullName:String;
    function GetLoginTime:String;
  public
    Constructor Create(aOwner:TComponent); Override;
    function Update:boolean; Override;
    Function HasPassWord:Boolean;
    Function CheckPassWord(Value:String):Integer;
  published
    property ConnectID:Longint read fConnectID;
    property ConnectNumber:Longint read fConnectNumber;
    property ServerName:String read GetServerName;
    property LoginName:String read GetLoginName;
    property FullName:String read GetFullName;
    property LoginTime: String read GetLoginTime;
    end;

{$IFDEF NOVELL}
Function GetConnectionNumber : Integer;                    { Get novell connection number }
Function GetConnectionInformation(ConId : LongInt;         { Get Novell connection info }
           UserName : PChar; Var ObjType : Integer; Var ObjID : LongInt; LoginTime : PChar) : Integer;
Function GetDefaultConnectionID : Integer;                 { Get Novell Default Connection ID }
Function GetFileServerName(DefConID : LongInt;             { Get Novell File server Name }
           FsName : PChar) : Integer;
Function ReadPropertyValue(szUserName : PChar;             { Read a Novell property Value }
           ObjType : Integer;szPropName : PChar;SegNum :  Integer;szLongName : PChar;
           Var iMoreSegs : Char;Var iMoreFlags : Char) : Integer;
Function VerifyBinderyObjectPassword(UserName : PChar;     { Verify a password against a bindery object }
           BinType  : Integer; PassWord : PChar) : Integer;
{$ENDIF}


implementation

uses
  Controls
  ,SysUtils
  ,Forms;

{-----------------------------------------------------------------------------------------}
{ NETWARE USER INFO                                                                       }
{-----------------------------------------------------------------------------------------}

{$IFDEF NOVELL}
Function GetConnectionNumber;         external 'NWNETAPI';
Function GetConnectionInformation;    external 'NWNETAPI';
Function GetDefaultConnectionID;      external 'NWNETAPI';
Function GetFileServerName;           external 'NWNETAPI';
Function ReadPropertyValue;           external 'NWNETAPI';    { Declare novell calls }
Function VerifyBinderyObjectPassword; external 'NWNETAPI';
{$ENDIF}

{-----------------------------------------------------------------------------------------}
{ OBJECT CREATION                                                                         }
{-----------------------------------------------------------------------------------------}

Constructor TNetWareUserInfo.Create(aOwner:TComponent);
begin
  inherited Create(aOwner);
  fzServerName[0] := #0;                                       { Null FS name }
  fzLoginName[0] := #0;                                    { Null User Name }
  fzFullName[0] := #0;                                     { Fill Name }
  fzLoginTime[0] := #0;                                    { Login Time }
end;

function TNetWareUserInfo.Update:boolean;
var
  iRc : Integer;                                           { Return Type }
  iOtype   : Integer;                                      { Object Type }
  iOID : LongInt;                                          { Object Id }
  iMoreSegs, iMoreFlags : Char;                            { Local Flags }
begin
  Result:=inherited Update;
  if not Result then
    Exit;
{$IFDEF NOVELL}
  fConnectID := GetDefaultConnectionID;                    { Get default connection ID }
  fConnectNumber:= GetConnectionNumber;                    { Get connection Number }
  iRc := GetConnectionInformation(                         { Get connection info }
           fConnectNumber,@fzLoginName[0],iOtype,iOID,fzLoginTime);
  if fzLoginName[0] = #0 then Exit;                        { If No User Name, No Net thus exit }
  iRc := GetFileServerName(fConnectID,fzServerName);       { Get FS name }
  iRc := ReadPropertyValue(                                { Get the user's full Name }
           fzLoginName,iOtype,'IDENTIFICATION',1,fzFullName,iMoreSegs,iMoreFlags);
{$ENDIF}
end;

{-----------------------------------------------------------------------------------------}
{ OBJECT FUNCTIONS                                                                        }
{-----------------------------------------------------------------------------------------}

Function TNetWareUserInfo.HasPassWord:Boolean;
{since calling the VerifyBinderyObjectPassword function multiple times with the wrong pw
can trigger the network's intruder alert and leave the user locked out when the log back in
we're using two constants to get the value only once. Perhaps there is a system message that
kicks in when a user changes names while logged in, but this will kick in once per run.}
const
  init:Boolean=True; {could make a property}
  HasPW:Boolean=False;
begin
  if Init then begin
    Init:=False;
    HasPW:=CheckPassWord('')<>NetWorkPasswordOk;
    end;
  Result:=HasPW;
end;

Function TNetWareUserInfo.CheckPassWord(Value:String):Integer;
var
  Cursor:TCursor;
  zPWD: array [0..50] of Char;                   { User Name }
begin
{$IFDEF NOVELL}
  Cursor:= Screen.Cursor;
  Screen.Cursor := crHourGlass;                            { Start waiting }
  StrPCopy(zPWD,Value);
  Result := VerifyBinderyObjectPassword(fzLoginName,1,zPWD); { Verify against USER login name }
  Screen.Cursor := Cursor;
{$ELSE}
  Result:= NetWorkPasswordOk;
{$ENDIF}
end;

{-----------------------------------------------------------------------------------------}
{ PROPERTY PLUMBING                                                                       }
{-----------------------------------------------------------------------------------------}

function TNetWareUserInfo.GetServerName:String;
begin
  Result:=fzServerName;
  Result:=StrPas(fzServerName);
end;

function TNetWareUserInfo.GetLoginName:String;
begin
  Result:=StrPas(fzLoginName);
end;

function TNetWareUserInfo.GetFullName:String;
begin
  Result:=StrPas(fzFullName);
end;

function TNetWareUserInfo.GetLoginTime:String;
begin
  Result:=StrPas(fzLoginTime);
end;

{-----------------------------------------------------------------------------------------}
{                                                                                         }
{-----------------------------------------------------------------------------------------}

end.
