	IDEAL

SEGMENT	code	byte	public

	ASSUME CS:CODE,DS:nothing
	PUBLIC TrimL, TrimT, VTrimT, TrimB, VTrimB
	PUBLIC UpCaseSt, VUpcaseSt, LoCaseSt, VLoCaseSt

;------------------------------------------
PROC	_LoadLength  NEAR
; Input: ds:si = string[0]
; Out: cx = length.
;      zf = 1 if length=0
;      ds:si = string[1]
	cld
	lodsb
	xor  cx, cx
	or   cl, al
	ret
ENDP

;------------------------------------------
PROC	_TrimTr	Near
; Input:
;	es:di => dest
;	ds:si => source

	call _LoadLength
	 jz  _DoMove
	push si
	add  si, cx		; point to end of string
	std
	dec  si
@@More:	lodsb
	cmp  al, ' '
	 ja  @@NoMore
	 loop @@More
@@NoMore:
	pop  si
@@Done:	jmp short _DoMove
ENDP

;------------------------------------------
PROC	_TrimLe	Near
; Input:
;	es:di => dest
;	ds:si => source

	call _LoadLength
	 jz  _DoMove
@@More:	lodsb			; cmp  byte ptr [si], ah
	cmp  al, ' '
	 ja  @@Done
	 loop @@More
@@Done:	dec  si
ENDP


;------------------------------------------
; Move cl bytes from ds:si to es:di forward
; copy string at ds:si to string at es:di
;   Input	cx = length
;		es:di points to dest[0]
;		ds:si points to source[1]
_DoMove:
	cld
	mov al, cl
	stosb
_DoMove2:
	shr  cx, 1
	rep  movsw
	 jnc _Retn
	movsb
_Retn:	ret

;****************************************************
;	Function TrimL(S : String) : String;
PROC	TrimL	FAR
	mov  bx, sp
	push ds

	lds  si, [ss:bx+4]	; source
	les  di, [ss:bx+8]	; dest
	call _TrimLe

	pop  ds
	ret  4
ENDP	TrimL

;****************************************************
;--Function TrimT(S : String) : String;
PROC	TrimT	FAR		; Function Result entry point
	mov  di, 8
	jmp  short @@TT

;--Procedure VTrimT(VAR S : String);
VTrimT:				; Var Param entry point
	mov  di, 4
@@TT:	mov  bx, sp
	push ds
	lds  si, [ss:bx+4]	; source
	les  di, [ss:bx+di]	; dest
	call _TrimTr
	pop  ds
	ret  4
ENDP	TrimT


;****************************************************
;--Function TrimB(S : String) : String;
PROC	TrimB	FAR		; Function Result entry point
	mov  di, 8
	jmp  @@TB

;--Procedure VTrimB(VAR S : String);
VTrimB:	mov  di, 4		; Var Param entry point
@@TB:	mov  bx, sp
	push ds
	lds  si, [ss:bx+4]	; source
	les  di, [ss:bx+di]	; dest

	push di			; save dest ofs
	call _TrimTr		; trim trailing
	pop  di			; restore dest ofs
	mov  si, di		; source
	push es			;	:=
	pop  ds			;	  dest
	call _TrimLe		; trim lead

	pop  ds
	ret  4
ENDP	TrimB


;--------------------------------------------------------------------------
; UP/LO Case Stuff ********************************************************

;------------------------------------
PROC UpStr NEAR
; Input: es:di = dest string[1]
;	ds:si = source[1]
;	cx = length
	mov  bx, 7A61h		;BL = 'a', BH =	'z'
@@Next:	lodsb			;Next char into AL
	cmp  AL, bl		;AL < 'a'?
	 jb  @@Store		;If so,	don't change
	cmp  al, bh		;AH > 'z'?
	 ja  @@Store		;If so,	don't change
	sub  al, 32		;Convert to upper case
@@Store:
	stosb			;Store char in result
	 loop @@Next		;repeat
	ret
ENDP


;------------------------------------
PROC LoStr NEAR
; Input: es:di = dest string[1]
;	ds:si = source[1]
;	cx = length
	mov  bx, 5A41h		;BL = 'A', BH =	'Z'
@@Next:	lodsb			;Next char into AL
	cmp  AL, bl		;AL < 'a'?
	 jb  @@Store		;If so,	don't change
	cmp  al, bh		;AH > 'z'?
	 ja  @@Store		;If so,	don't change
	add  al, 32		;Convert to upper case
@@Store:
	stosb			;Store char in result
	 loop @@Next		;repeat
	ret
ENDP


;******************************************************
; Input DX = offset UpStr or LoStr
;
Acase:	mov  si, 8		; Function call
	jmp short Entry
VACase:	mov si, 4		; Procedure call
Entry:	mov  bx, sp		;Set BX to point to stack
	les  di, [ss:bx+si]	;ES:DI => function result
	push ds
	lds  si, [ss:bx+4]	;DS:SI => S
	call _LoadLength	;AL = Length(S) = cx
	stosb			;Set length of result
	 jz  ADone		;Done if CX is 0
	call dx
ADone:	pop ds
	retf 4			;remove parameter and return
ENDP

;------------------------------------
PROC	UpCaseSt	FAR
	mov  dx, offset UpStr
	jmp ACase
ENDP
;------------------------------------
PROC	VUpcaseSt	FAR
	mov  dx, offset UpStr
	jmp VACase
ENDP
;------------------------------------
PROC	LoCaseSt	FAR
	mov  dx, offset LoStr
	jmp ACase
ENDP
;------------------------------------
PROC	VLoCaseSt	FAR
	mov  dx, offset LoStr
	jmp VACase
ENDP



ENDS
END
